--  Copyright (2008-2013) Cdric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

with Nomo.Interpreter.Storages;

with Nomo.Interpreter.Types_Index;

package Nomo.Interpreter.Plant.Rule_Buffer.Reading is

   use Types_Index.Types_Index_Instance;

   function Has_New_Rule return Boolean;
   pragma Inline (Has_New_Rule);

   function Get_Type_Index return Type_Index_Strict;
   pragma Inline (Get_Type_Index);

   function Get_Buffer return not null access Storages.Full_Rule_Storage;
   pragma Inline (Get_Buffer);

   procedure Send_Error;
   pragma Inline (Send_Error);

end Nomo.Interpreter.Plant.Rule_Buffer.Reading;
